aliyunlinux5.7如何修复ReLinuxBash严重漏洞-问答-阿里云开发者社区-阿里云

开发者社区> 问答> 正文

aliyunlinux5.7如何修复ReLinuxBash严重漏洞

山寨村长 2014-09-29 17:26:34 14578

已看过相关的帖子。也操作过了。
ReLinuxBash严重漏洞修复紧急通知(已全部给出最终修复方案)


请教:我的是aliyun linux 5.7 64位GNU bash, version 3.2.25(1)-release (x86_64-redhat-linux-gnu)请问是否用下面的 命令来解决?不用下载其它补丁吗?红帽系可通过更新 bash 并重启系统来解决这个问题:  # yum update bash   或者:  # yum update bash-4.1.2-15.el6_5.1   此举只是更新了 bash 包,还需要重启系统才能生效。
请问如何发新的工单给服务人员?谢谢先。
安全 Shell Linux
分享到
取消 提交回答
全部回答(3)
  • 零点星辰
    2014-09-29 21:29:31
    Realiyunlinux5.7如何修复ReLinuxBash严重漏洞
    [root@www ~]#   env -i  X='() { (a)=>\' bash -c 'echo date'; cat echo
    date                           ###升级为5.2版本后,显示date即为正常!!!
    Fri Sep 26 12:12:11 CST 2014
    亲,你linux基础有待加强哦!
    建议参考下:http://xlogin.blog.51cto.com/3473583/1557973

    -------------------------

    回5楼山寨村长的帖子
    回复的太晚了。。。不知道您的问题解决了吗?
    您如果是linux服务器,远程登录后,直接在shell下执行这个命令就可以了啊?
    # wget http://mirrors.aliyun.com/centos/5/updates/x86_64/RPMS/bash-3.2-33.el5_10.4.x86_64.rpm && rpm -Uvh bash-3.2-33.el5_10.4.x86_64.rpm
    如果您是通过电脑先下载下来这个rpm包,然后再上传到linux远程服务器上,上传路径关系不大,问题是你还得在shell下到这个路径下,执行:
    # rpm -Uvh bash-3.2-33.el5_10.4.x86_64.rpm  
    0 0
  • trcher
    2014-09-29 18:10:29
    为什么不提个工单问问呢
    0 0
  • 山寨村长
    2014-09-29 17:28:28
    回楼主山寨村长的帖子
    env x='() { :;}; echo vulnerable' bash -c "echo this is a test"
    仍是  this is a test 而不是
    date

    -------------------------

    回2楼trcher的帖子
    请问如何提工单?

    -------------------------

    回3楼零点星辰的帖子
    再次请教,看过您的帖子
    ~]# yum update bash-4.1.2-15.el6_5.2
    addons                                                   | 1.9 kB     00:00    
    base                                                     | 1.1 kB     00:00    
    extras                                                   | 2.1 kB     00:00    
    extras/primary_db                                        | 173 kB     00:00    
    updates                                                  | 1.9 kB     00:00    
    updates/primary_db                                                                                                                                         | 630 kB     00:00    
    Excluding Packages in global exclude list
    Finished
    Setting up Update Process
    No Match for argument: bash-4.1.2-15.el6_5.2
    No package bash-4.1.2-15.el6_5.2 available.
    No Packages marked for Update

    信息提示我没有下载正确。
    我已下载过
    aliyun linux:(最终解决方案) 5.x 64bit wget http://mirrors.aliyun.com/centos/5/updates/x86_64/RPMS/bash-3.2-33.el5_10.4.x86_64.rpm && rpm -Uvh bash-3.2-33.el5_10.4.x86_64.rpm
    我是下载过,然后FTP到我服务器上的,请问上传的地址 路径可以随便吗?

    0 0
添加回答
开发与运维
使用钉钉扫一扫加入圈子
+ 订阅

集结各类场景实战经验,助你开发运维畅行无忧

推荐文章
相似问题